package com.stu.stusystem.mapper.chat;

import com.stu.stusystem.common.CommonMapper;
import com.stu.stusystem.model.chat.ChatFriends;
import com.stu.stusystem.service.system.vo.StuUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: cxt
 * @time: 2021/6/15
 */
public interface ChatFriendsMapper extends CommonMapper<ChatFriends> {
    List<StuUserVO> getFriends(@Param("id") String id);

    List<StuUserVO> getStay(@Param("id") String id);

    List<String> getFid();

    int addFriends(@Param("id") String id, @Param("fIds") String[] fIds);

    int removeFriend(@Param("id") String id, @Param("fId") String fId);
}
