package com.stu.stusystem.mapper.system;

import com.stu.stusystem.common.CommonMapper;
import com.stu.stusystem.model.system.Menu;
import com.stu.stusystem.service.system.vo.MenuVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author cxt
 * @date 2021/3/29
 */
public interface MenuMapper extends CommonMapper<Menu> {
    @Select("select id,icon_img as iconImg,url,name,pid,order_num as orderNum,menu_type as menuType from menu where is_visible = true")
    List<MenuVO> getTreeMenu();

    List<MenuVO> getMenuPage(@Param("name") String name);
}
