package com.stu.stusystem.mapper.system;

import com.stu.stusystem.common.CommonMapper;
import com.stu.stusystem.model.em.TreeModel;
import com.stu.stusystem.model.system.RoleJurisdiction;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author cxt
 * @date 2020/9/8
 */
public interface RoleJurisdictionMapper extends CommonMapper<RoleJurisdiction> {
    @Select("select id,name,pid from menu left join role_jurisdiction rj on menu.id = rj.menu_id where rj.role_id = #{id} ")
    List<TreeModel> getRoleJurisdiction(@Param("id") String id);
}
