package com.stu.stusystem.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author cxt
 * @date 2020/9/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "log")
public class UserLog {
    @Id
    private String id;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("ip地址")
    private String address;

    @ApiModelProperty("操作时间")
    private Date time;

    @ApiModelProperty("操作名称")
    private String operation;
}
