package com.stu.stusystem.model.system;

import com.stu.stusystem.common.BaseModel;
import com.stu.stusystem.common.OffsetPage;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;

/**
 * @author cxt
 * @date 2021/3/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Menu extends BaseModel {

    @Id
    private String id;

    // 图标
    private String iconImg;

    // 名称
    private String name;

    // 页面url
    private String url;

    // 权限code
    private String code;

    // 父级id
    private String pid;

    // 菜单类型(M:目录，C:菜单，B:按钮)
    private String menuType;

    // 是否启用
    private Boolean isVisible;

    // 排序
    private Integer orderNum;
}
