package com.stu.stusystem.model.system;

import com.stu.stusystem.common.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;

/**
 * @author: cxt
 * @time: 2021/3/31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Role extends BaseModel {

    @Id
    private String id;

    // 角色名称
    private String name;

    // 排序
    private Integer order;

    // 是否启用
    private Boolean status;

    // 角色说明
    private String explain;
}
