package com.stu.stusystem.model.system;

import com.stu.stusystem.common.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;

/**
 * @author cxt
 * @date 2020/9/7
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StuClass extends BaseModel {
    @Id
    private String id;

    // 名称
    private String name;

    // 父id
    private String pid;

    // 标志(1:学院；2:系；3:班级)
    private Integer sign;

    // 年级
    private String grade;

    // 管理者id
    private String userId;

}