package com.stu.stusystem.service.dto;

import com.stu.stusystem.model.em.Jurisdiction;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author cxt
 * @date 2020/9/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RegisterDTO {
    @NotBlank(message = "用户名不能为空")
    private String name;

    @NotBlank(message = "账号不能为空")
    private String account;

    private String classId;

    @NotBlank(message = "密码不能为空")
    private String password;

    private String phone;

    private String IdCard;

    // 身份标识：STUDENT（普通学生）,INSTRUCTOR（辅导员）,HOUSEMASTER（宿管）,LEADER（领导）,ADMIN（超级管理）
    private Jurisdiction jurisdiction;
}
