package com.stu.stusystem.service.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;

/**
 * @author: cxt
 * @time: 2021/3/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StuClassDTO {
    @Id
    private String id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("父id")
    private String pid;

    @ApiModelProperty("标志(1:学院；2:系；3:班级)")
    private Integer sign;

    @ApiModelProperty("管理者id")
    private String userId;

    @ApiModelProperty("年级")
    private String grade;
}
