package com.stu.stusystem.service.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: cxt
 * @time: 2021/3/11
 * 登录返回
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LoginVO {

    private String id;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("用户名")
    private String name;

    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("头像id")
    private String headImg;

    @ApiModelProperty("头像地址")
    private String imgPath;

    @ApiModelProperty("凭证")
    private String authorization;
}
