package com.stu.stusystem.controller.system;

import com.stu.stusystem.common.ApiResult;
import com.stu.stusystem.model.system.ServiceInformation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: cxt
 * @time: 2021/4/26
 */
@Api(tags = "服务监控信息")
@RestController
@RequestMapping("/system/monitoring")
public class ServiceInformationController {

    @GetMapping("/get")
    @ApiOperation("获取服务监控信息")
    public ApiResult<ServiceInformation> getServiceInformation() {
        ServiceInformation serviceInformation = new ServiceInformation();
        serviceInformation.setServiceInformation();
        return ApiResult.success(serviceInformation);
    }
}
