package com.stu.stusystem.mapper.system;

import com.stu.stusystem.common.CommonMapper;
import com.stu.stusystem.model.em.TreeModel;
import com.stu.stusystem.model.system.StuClass;
import com.stu.stusystem.service.system.dto.StuClassQuery;
import com.stu.stusystem.service.system.vo.StuClassVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.omg.CORBA.OBJ_ADAPTER;

import java.util.HashMap;
import java.util.List;

/**
 * @author cxt
 * @date 2020/9/8
 */
public interface StuClassMapper extends CommonMapper<StuClass> {
    List<StuClassVO> getStuClassPage(@Param("query") StuClassQuery query);

    @Select("select id,name,pid from stu_class")
    List<TreeModel> treeSelect();

    List<StuClassVO> getNonClass();
}
