package com.stu.stusystem.mapper.system;

import com.stu.stusystem.common.CommonMapper;
import com.stu.stusystem.model.system.StuUser;
import com.stu.stusystem.service.system.dto.UserManagerQuery;
import com.stu.stusystem.service.system.vo.StuUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author cxt
 * @date 2020/9/8
 */
public interface StuMapper extends CommonMapper<StuUser> {
    List<StuUserVO> getStuMangerPage(@Param("query") UserManagerQuery query);

    List<Map<String, String>> getWhole();
}
