package com.stu.stusystem.model.chat;

import com.stu.stusystem.common.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author: cxt
 * @time: 2021/6/9
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ChatMsg extends BaseModel {

    private Integer id;

    // 消息内容
    private String msg;

    // 接受消息方
    private String acceptUser;

    // 发送消息方
    private String sendUser;

    // 发送类型：1 广播；2 群聊；3 私聊；
    private String sendType;

    // 内容类型：1 文本；2 图片;
    private String msgType;

    // 是否已读：0 未读；1 已读
    private String isRead;

    // 发送时间
    private Date sendTime;
}
