package com.stu.stusystem.model.system;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;
import java.util.Date;

/**
 * @author: cxt
 * @time: 2021/6/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Document {
    @Id
    private String id;

    // 名称
    private String name;

    // 类型
    private String fileType;

    // 后缀名
    private String suffix;

    // 地址
    private String filePath;

    // 大小
    private Long fileSize;

    // 创建时间
    private Date creatTime;

    // 是否删除
    private Integer isDelete;
}
