package com.stu.stusystem.service.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.validation.constraints.NotBlank;

/**
 * @author: cxt
 * @time: 2021/3/19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserManagerDTO {
    private String id;

    @ApiModelProperty("用户民")
    private String name;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("头像id")
    private String headImg;
}
