package com.stu.stusystem.util;

/**
 * @author: cxt
 * @time: 2021/6/29
 * 简单的字符串工具类
 */
public class StrUtil {

    /**
     * 隐藏身份证号中间6位
     */
    public static String hideSix(String str) {
        if (str == null || "".equals(str)) {
            return "";
        }
        if (str.length() == 18) {
            return str.replaceAll("(\\d{6})\\d{6}(\\w{6})", "$1******$2");
        } else {
            return str.replaceAll("(\\d{5})\\d{5}(\\w{5})", "$1*****$2");
        }
    }
}